## lasi 1.0.6

=== examples/example1/Makefile ===

all:
	cat README

example: SimpleLASiExample.cpp
	g++ -o example -lLASi `pkg-config --cflags --libs pango pangoft2 lasi ` SimpleLASiExample.cpp

display:
	./example > example.ps && gv example.ps &
clean:
	rm example example.ps

=== examples/example2/Makefile ===

all:
	cat README

example: ComplexTextLayoutExample.cpp 
	g++ -o example2 -lLASi `pkg-config --cflags --libs pango pangoft2 lasi` ComplexTextLayoutExample.cpp

display:
	./example2 > example2.ps && gv example2.ps &
clean:
	rm example2 example2.ps

## lasi 1.1.0

=== CMakeLists.txt ===
# Top-level CMakeLists.txt for libLASi
###
### Process this file with cmake to produce Makefile
###

# Version 2.4.5 or above of cmake is required!
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5 FATAL_ERROR)

project(libLASi CXX)

set(PACKAGE lasi)

# Location where libLASi cmake build system first looks for cmake modules.
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

# Version information.

include(lasi_version)

enable_testing()

# parameters to control overall cmake behaviour.

# Configure libLASi component variables....

include(lasi)

# Use configured variables to process configurable top-level files.

configure_file(
${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake 
${CMAKE_CURRENT_BINARY_DIR}/config.h
)

configure_file(
${CMAKE_CURRENT_SOURCE_DIR}/lasi.pc.in
${CMAKE_CURRENT_BINARY_DIR}/lasi.pc
)

install(FILES
${CMAKE_CURRENT_BINARY_DIR}/lasi.pc 
DESTINATION ${PKG_CONFIG_DIR}
)

install(FILES include/LASi.h DESTINATION ${includedir})

add_subdirectory(src)

add_subdirectory(examples)

#
# Generating documentation with doxygen
#
if(DOXYGEN_EXECUTABLE AND UNIX)
  
  # N.B. Both the following custom rules assume the doc directory exists
  # at make time, and the following install(DIRECTORY... must have doc exist
  # at cmake time.  Therefore, create the doc directory at CMake time.
  # (Linux experimentation indicates this is a no-op if the empty or
  # non-empty directory already exists.)
  file(MAKE_DIRECTORY ${CMAKE_SOURCE_DIR}/doc)

  # The initial rm command gets rid of everything previously built by this
  # custom command.
  add_custom_command(
  OUTPUT ${CMAKE_SOURCE_DIR}/doc/user/html/index.html
  COMMAND rm -rf ${CMAKE_SOURCE_DIR}/doc/user
  COMMAND mkdir ${CMAKE_SOURCE_DIR}/doc/user
  COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_SOURCE_DIR}/Doxyfile.user
  DEPENDS ${CMAKE_SOURCE_DIR}/Doxyfile.user
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  )

  # The initial rm command gets rid of everything previously built by this
  # custom command.
  add_custom_command(
  OUTPUT ${CMAKE_SOURCE_DIR}/doc/developer/html/index.html
  COMMAND rm -rf ${CMAKE_SOURCE_DIR}/doc/developer
  COMMAND mkdir ${CMAKE_SOURCE_DIR}/doc/developer
  COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_SOURCE_DIR}/Doxyfile.developer
  DEPENDS ${CMAKE_SOURCE_DIR}/Doxyfile.developer
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  )

  add_custom_target(
  documentation ALL
  DEPENDS
  ${CMAKE_SOURCE_DIR}/doc/user/html/index.html
  ${CMAKE_SOURCE_DIR}/doc/developer/html/index.html
  )
  
  # Install the documentation generated at "make" time.
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/ DESTINATION ${docdir}/html)

endif(DOXYGEN_EXECUTABLE AND UNIX)

#
# Packing stuff
#
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
"The PostScript Complex Text Layout Library, LASi")
set(CPACK_PACKAGE_VENDOR "Ed Trager <ed.trager@gmail.com>")
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/README)
if(WIN32)
  set(CPACK_GENERATOR ZIP)
else(WIN32)
  set(CPACK_GENERATOR TGZ)
endif(WIN32)
set(
CPACK_SOURCE_PACKAGE_FILE_NAME
"libLASi-${VERSION}"
CACHE INTERNAL "tarball basename"
)
if(WIN32)
  set(CPACK_SOURCE_GENERATOR ZIP)
else(WIN32)
  set(CPACK_SOURCE_GENERATOR TGZ)
endif(WIN32)
# The following components are regex's to match anywhere (unless anchored)
# in absolute path + filename to find files or directories to be excluded
# from source tarball.
set(CPACK_SOURCE_IGNORE_FILES
"~$"
"^${PROJECT_SOURCE_DIR}.*\\\\.svn/"
)
#message("CPACK_SOURCE_IGNORE_FILES = ${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)
summary()

=== examples/CMakeLists.txt ===
# examples/CMakeLists.txt
# Copyright (C) 2007 Andrew Ross
# Copyright (C) 2007 Alan W. Irwin

include_directories(${CMAKE_SOURCE_DIR}/include)

add_executable(example0 MissingGlyphExample.cpp)
target_link_libraries(example0 LASi)

add_test(example0 ./example0 example0.ps)

add_executable(example1 SimpleLASiExample.cpp)
target_link_libraries(example1 LASi)

add_test(example1 ./example1 example1.ps)

add_executable(example2 ComplexTextLayoutExample.cpp)
target_link_libraries(example2 LASi)

add_test(example2 ./example2 example2.ps)

install(FILES
MissingGlyphExample.cpp
SimpleLASiExample.cpp
ComplexTextLayoutExample.cpp
README 
Example_1_Result.png
Example_2_Result.png
DESTINATION ${DATA_DIR}/examples
)

# Sort out RPATH issues for build of installed examples.
if(USE_RPATH)
  get_target_property(_LIB_INSTALL_RPATH LASi INSTALL_RPATH)
  string(REGEX REPLACE ";" ":" LIB_INSTALL_RPATH "${_LIB_INSTALL_RPATH}")
  set(RPATHCMD "-Wl,-rpath -Wl,${LIB_INSTALL_RPATH}")
endif(USE_RPATH)

# Sort out PKG_CONFIG_PATH issues for build of installed examples.

if("$ENV{PKG_CONFIG_PATH}" STREQUAL "")
  set(PKG_CONFIG_PATH "${libdir}/pkgconfig")
else("$ENV{PKG_CONFIG_PATH}" STREQUAL "")
  set(PKG_CONFIG_PATH "${libdir}/pkgconfig:$ENV{PKG_CONFIG_PATH}")
endif("$ENV{PKG_CONFIG_PATH}" STREQUAL "")
      
configure_file(
${CMAKE_CURRENT_SOURCE_DIR}/Makefile.examples.in
${CMAKE_CURRENT_BINARY_DIR}/Makefile.examples
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Makefile.examples
DESTINATION ${DATA_DIR}/examples
RENAME Makefile
)

=== src/CMakeLists.txt ===
# src/CMakeLists.txt for libLASi
###
### Process this file with cmake to produce Makefile
###

set(LASi_LIB_SRCS
drawGlyph.cpp
glyphMgr.cpp
psDoc.cpp
util.cpp
)

set(LASi_LIB_HDRS
contextMgr.h
drawGlyph.h
glyphMgr.h
manager.h
stringDimensions.h
util.h
)

include_directories(
${CMAKE_SOURCE_DIR}/include
${CMAKE_BINARY_DIR}
)

add_library(LASi ${LASi_LIB_SRCS} ${LASi_LIB_HDRS})

set(libLASi_LINK_LIBRARIES ${PANGO_LINK_FLAGS} ${PANGOFT2_LINK_FLAGS})

if(MATH_LIB)
  set(libLASi_LINK_LIBRARIES ${libLASi_LINK_LIBRARIES} ${MATH_LIB})
endif(MATH_LIB)

target_link_libraries(LASi ${libLASi_LINK_LIBRARIES} )

if(USE_RPATH)
  set(LIB_INSTALL_RPATH)
  list(APPEND LIB_INSTALL_RPATH ${libdir})
  list(APPEND LIB_INSTALL_RPATH ${PANGO_RPATH})
  set_target_properties(
  LASi
  PROPERTIES 
  SOVERSION ${LASi_SOVERSION}
  VERSION ${LASi_VERSION}
  INSTALL_RPATH "${LIB_INSTALL_RPATH}"
  INSTALL_NAME_DIR "${libdir}"
  )
else(USE_RPATH)
  set_target_properties(
  LASi
  PROPERTIES 
  SOVERSION ${LASi_SOVERSION}
  VERSION ${LASi_VERSION}
  INSTALL_NAME_DIR "${libdir}"
  )
endif(USE_RPATH)

install(
TARGETS LASi
ARCHIVE DESTINATION ${libdir}
LIBRARY DESTINATION ${libdir}
RUNTIME DESTINATION ${bindir}
)

=== debian/changelog ===
lasi (1.1.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #867050)
  * Add the missing libpango1.0-dev and libfreetype6-dev
    dependencies to liblasi-dev. (Closes: #845497)
  * Add ${misc:Depends} to the package dependencies.

 -- Adrian Bunk <bunk@debian.org>  Sat, 08 Jul 2017 14:19:16 +0300

lasi (1.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: Remove myself from the Uploaders list (closes: #571834)
  * d/compat: Bump the debhelper compat level to 9 (closes: #817520)
  * d/liblasi-dev.install: Drop useless lines

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Jul 2016 14:43:36 -0300

lasi (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use 3.0 (quilt) format
  * debian/patches/fix-freetype-ftbfs (Closes: #733405):
    - Include Freetype headers in recommended way, fix FTBFS

 -- Angel Abad <angel@debian.org>  Thu, 19 Jun 2014 13:36:38 +0200

lasi (1.1.0-1) unstable; urgency=low

  [ Andrew Ross ]
  * New upstream release
  * debian/rules: Change to support new cmake build system (still using cdbs)
  * debian/control:
    + Modify build dependencies for cmake support and to build doxygen
      documentation
    + Update Homepage field
    + Update Vcs-* fields
    + Update maintainer and uploader information
  * debian/copyright: Update list of authors.
  * Fix watch file to use sourceforge

  [ Rafael Laboissiere ]
  * debian/liblasi-dev.doc-base: Changed document's section to
    Programming/C++
  * debian/copyright: Add the mandatory copyright notices

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Apr 2008 23:07:45 +0200

lasi (1.0.6-4) unstable; urgency=low

  * debian/control:
    + Added Homepage field
    + Dropped the Homepage pseudo-header from the extended descriptions
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Dec 2007 00:18:17 +0100

lasi (1.0.6-3) unstable; urgency=low

  * debian/control: Fixed typo in package description (closes: #438659)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 25 Aug 2007 09:26:52 +0200

lasi (1.0.6-2) unstable; urgency=low

  * debian/control:
    + Added XS-Vcs-Svn and XS-Vcs-Browser fields
    + Use substitution variable ${binary:Version} instead of the deprecated
      ${Source-Version} (${binary:Version} is needed instead of
      ${source:Version}, otherwise the package would not be binNMUable)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Jul 2007 23:14:41 +0200

lasi (1.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/copyright, debian/control, debian/watch: New homepage URL
  * debian/control: Enforce build-depedency on libfreetype6-dev >= 2.2

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 29 Aug 2006 18:52:45 +0200

lasi (1.0.6~pre.1-1) unstable; urgency=low

  * New upstream release.  This is a prerelease for 1.0.6.
  * debian/patches/outline-funcs-prototypes.patch: Removed patch, which
    has been applied upstream

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 29 Aug 2006 11:39:57 +0200

lasi (1.0.5-3) unstable; urgency=low

  * debian/patches/outline-funcs-prototypes.patch: Fixed definitions of
    some functions such that they match the prototypes defined in
    /usr/include/freetype2/freetype/ftimage.h.  The package now builds
    correctly in Debian unstable with g++_4.0.3-3 (closes: #370112)

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  3 Jun 2006 15:23:29 +0200

lasi (1.0.5-2) unstable; urgency=low

  * debian/rules: Dropped the removal of config.status

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  6 May 2006 21:31:48 +0200

lasi (1.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bumped Standards-Version to 3.7.2 (no changes needed)
  * debian/patches/clean-lasi.pc.patch: Removed patch, which has been
    integrated upstream
  * debian/rules:
      - Include CDBS' simple-patchsys.mk
      - Removed config.status before configuring the package.  This file
        is wrongly included in the upstream tarball and Lintian complained
        about it.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  6 May 2006 19:29:51 +0200

lasi (1.0.4-2) unstable; urgency=low

  * debian/control: Build-depends on cdbs (closes: #364659)
  * debian/patches/clean-lasi.pc.patch: Remove spurious character at end
    of lasi.pc.in

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 25 Apr 2006 09:47:48 +0200

lasi (1.0.4-1) unstable; urgency=low

  * Uploaded to unstable (closes: #361342)
  * debian/control: Added homepage URL to the description

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  8 Apr 2006 14:59:39 +0200

lasi (1.0.4-0.1) unstable; urgency=low

  * Initial release

 -- Rafael Laboissiere <rafael@debian.org>  Fri,  7 Apr 2006 13:51:20 +0200

=== debian/control ===
Source: lasi
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.0), cmake, libpango1.0-dev,
 cdbs (>=0.4.51), libfreetype6-dev (>= 2.2), doxygen
Standards-Version: 3.7.3
Section: libs
Homepage: http://sourceforge.net/projects/lasi
Vcs-Svn: https://lasi.svn.sourceforge.net/svnroot/lasi/trunk/debian/
Vcs-Browser: http://lasi.svn.sourceforge.net/viewvc/lasi/trunk/debian/

Package: liblasi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: creation of PostScript documents containing Unicode symbols
 LASi is a library that provides a C++ stream output interface (with
 operator <<) for creating PostScript documents that can contain
 characters from any of the scripts and symbol blocks supported in
 Unicode and by the Pango layout engine. The library accommodates
 right-to-left scripts such as Arabic and Hebrew as easily as
 left-to-right scripts. Indic and Indic-derived Complex Text Layout
 (CTL) scripts, such as Devanagari, Thai, Lao, and Tibetan are
 supported to the extent provided by Pango and by the OpenType fonts
 installed on your system. All of this is provided without need for
 any special configuration or layout calculation on the programmer's
 part.

Package: liblasi-dev
Section: libdevel
Architecture: any
Depends: liblasi0 (= ${binary:Version}), ${misc:Depends}, libpango1.0-dev, libfreetype6-dev
Description: development files and documentation for the LASi library
 LASi is a library that provides a C++ stream output interface (with
 operator <<) for creating PostScript documents that can contain
 characters from any of the scripts and symbol blocks supported in
 Unicode and by the Pango layout engine. The library accommodates
 right-to-left scripts such as Arabic and Hebrew as easily as
 left-to-right scripts. Indic and Indic-derived Complex Text Layout
 (CTL) scripts, such as Devanagari, Thai, Lao, and Tibetan are
 supported to the extent provided by Pango and by the OpenType fonts
 installed on your system. All of this is provided without need for
 any special configuration or layout calculation on the programmer's
 part.
 .
 This package contains the development files as well as the HTML
 documentation for LASi.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_INSTALL_SOURCEDIR := $(CURDIR)/debian/tmp
DEB_COMPRESS_EXCLUDE := .cpp
# The test target runs ctest to check the examples work correctly. In order for this to 
# work we need to enable linking with rpath in the build tree.
DEB_MAKE_CHECK_TARGET := test
DEB_CMAKE_EXTRA_FLAGS := -DCMAKE_SKIP_RPATH=OFF -DUSE_RPATH=OFF

devdir := $(CURDIR)/debian/liblasi-dev
docdir := $(devdir)/usr/share/doc/liblasi-dev

binary-pre-install/liblasi0::
	ctest

binary-post-install/liblasi-dev::
	mv $(docdir)/doc/developer/html $(docdir)/html
	rm -rf $(docdir)/doc

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
  http://sf.net/lasi/libLASi-(.*)\.tar\.gz

## lasi 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,33 @@
 # Top-level CMakeLists.txt for libLASi
-###
-### Process this file with cmake to produce Makefile
-###
 
-# Version 2.4.5 or above of cmake is required!
-CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5 FATAL_ERROR)
+# Copyright (C) 2007-2019 Alan W. Irwin
+# Copyright (C) 2007-2011 Andrew Ross
+# Copyright (C) 2007 Werner Smekal
+
+# This file is part of libLASi.
+#
+# LibLASi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# LibLASi is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with LibLASi; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA
+
+# Version 3.13.2 or above of cmake is required!
+CMAKE_MINIMUM_REQUIRED(VERSION 3.13.2)
 
 project(libLASi CXX)
+
+message(STATUS "CMake version = ${CMAKE_VERSION}")
+message(STATUS "CMAKE_SYSTEM_NAME = ${CMAKE_SYSTEM_NAME}")
 
 set(PACKAGE lasi)
 
@@ -24,6 +45,16 @@
 # Configure libLASi component variables....
 
 include(lasi)
+
+# For windows put libLASi.dll in the dll subdirectory of the top-level
+# build-tree directory to be consistent with other typical Windows
+# builds, e.g., Plplot, ephcom2.
+
+# You must add this directory to your PATH on Windows if you are using
+# the (default) BUILD_SHARED_LIBS=ON option).
+if(BUILD_SHARED_LIBS AND WIN32 AND NOT CYGWIN)
+  set(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/dll)
+endif(BUILD_SHARED_LIBS AND WIN32 AND NOT CYGWIN)
 
 # Use configured variables to process configurable top-level files.
 
@@ -120,8 +151,10 @@
 # in absolute path + filename to find files or directories to be excluded
 # from source tarball.
 set(CPACK_SOURCE_IGNORE_FILES
+"\\\\#.*$"
 "~$"
 "^${PROJECT_SOURCE_DIR}.*\\\\.svn/"
+"^${PROJECT_SOURCE_DIR}/debian"
 )
 #message("CPACK_SOURCE_IGNORE_FILES = ${CPACK_SOURCE_IGNORE_FILES}")
 include(CPack)

=== examples/CMakeLists.txt ===
# examples/CMakeLists.txt

# Copyright (C) 2007-2019 Alan W. Irwin
# Copyright (C) 2007 Andrew Ross

# This file is part of libLASi.
#
# LibLASi is free software; you can redistribute it and/or modify it
# under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# LibLASi is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with LibLASi; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA

include_directories(${CMAKE_SOURCE_DIR}/include ${PANGOFT2_includedir})

set(CTEST_EXAMPLES_OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/ctest_examples_output_dir)
file(MAKE_DIRECTORY ${CTEST_EXAMPLES_OUTPUT_DIR})

set(SRC_ROOT_NAME_LIST
  MissingGlyphExample
  SimpleLASiExample
  ComplexTextLayoutExample
  )
  
find_program(INKSCAPE_EXECUTABLE inkscape)
message(STATUS "inkscape executable = ${INKSCAPE_EXECUTABLE}")
if(NOT INKSCAPE_EXECUTABLE)
  message(STATUS "Platform issue: inkscape command not available.")
  message(STATUS "Therefore example Encapsulated PostScript results cannot be transformed to PNG format")
endif(NOT INKSCAPE_EXECUTABLE)

set(INSTALL_LIST)
foreach(SRC_ROOT_NAME ${SRC_ROOT_NAME_LIST})

  list(APPEND INSTALL_LIST ${SRC_ROOT_NAME}.cpp)

  add_executable(${SRC_ROOT_NAME} ${SRC_ROOT_NAME}.cpp)
  target_link_libraries(${SRC_ROOT_NAME} LASi)

  add_test(${SRC_ROOT_NAME}
    ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME} ${CTEST_EXAMPLES_OUTPUT_DIR}/${SRC_ROOT_NAME}.eps
    )

  if(INKSCAPE_EXECUTABLE)
    add_custom_command(
      OUTPUT
      ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps
      ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.png
      COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps
      COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.png
      COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME} > ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps
      COMMAND ${INKSCAPE_EXECUTABLE} --export-background=\#ffffff --file=${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps --export-png=${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.png
      DEPENDS ${SRC_ROOT_NAME}
      VERBATIM
      )
    add_custom_target(test_${SRC_ROOT_NAME} ALL
      DEPENDS
      ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps
      ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.png
      )
  else(INKSCAPE_EXECUTABLE)
    add_custom_command(
      OUTPUT
      ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps
      COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps
      COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME} > ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps
      DEPENDS ${SRC_ROOT_NAME}
      VERBATIM
      )
    add_custom_target(test_${SRC_ROOT_NAME} ALL
      DEPENDS
      ${CMAKE_CURRENT_BINARY_DIR}/${SRC_ROOT_NAME}.eps
      )
  endif(INKSCAPE_EXECUTABLE)
    
endforeach(SRC_ROOT_NAME ${SRC_ROOT_NAME_LIST})

install(FILES
  ${INSTALL_LIST}
  README 
  MissingGlyphExample.png
  SimpleLASiExample.png
  ComplexTextLayoutExample.png
  DESTINATION ${DATA_DIR}/examples
  )

# Sort out RPATH issues for build of installed examples.
if(USE_RPATH)
  get_target_property(_LIB_INSTALL_RPATH LASi INSTALL_RPATH)
  string(REGEX REPLACE ";" ":" LIB_INSTALL_RPATH "${_LIB_INSTALL_RPATH}")
  set(RPATHCMD "-Wl,-rpath -Wl,${LIB_INSTALL_RPATH}")
endif(USE_RPATH)

# Sort out PKG_CONFIG_PATH issues for build of installed examples.

if("$ENV{PKG_CONFIG_PATH}" STREQUAL "")
  set(PKG_CONFIG_PATH "${libdir}/pkgconfig")
else("$ENV{PKG_CONFIG_PATH}" STREQUAL "")
  set(PKG_CONFIG_PATH "${libdir}/pkgconfig:$ENV{PKG_CONFIG_PATH}")
endif("$ENV{PKG_CONFIG_PATH}" STREQUAL "")
      
configure_file(
${CMAKE_CURRENT_SOURCE_DIR}/Makefile.examples.in
${CMAKE_CURRENT_BINARY_DIR}/Makefile.examples
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Makefile.examples
DESTINATION ${DATA_DIR}/examples
RENAME Makefile
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,24 @@
 # src/CMakeLists.txt for libLASi
-###
-### Process this file with cmake to produce Makefile
-###
+
+# Copyright (C) 2007-2019 Alan W. Irwin
+# Copyright (C) 2007 Werner Smekal
+
+# This file is part of libLASi.
+#
+# LibLASi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# LibLASi is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with LibLASi; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA
 
 set(LASi_LIB_SRCS
 drawGlyph.cpp
@@ -22,17 +39,18 @@
 include_directories(
 ${CMAKE_SOURCE_DIR}/include
 ${CMAKE_BINARY_DIR}
+${PANGOFT2_includedir}
 )
 
 add_library(LASi ${LASi_LIB_SRCS} ${LASi_LIB_HDRS})
 
-set(libLASi_LINK_LIBRARIES ${PANGO_LINK_FLAGS} ${PANGOFT2_LINK_FLAGS})
+set(libLASi_LINK_LIBRARIES ${PANGOFT2_libraries})
 
 if(MATH_LIB)
-  set(libLASi_LINK_LIBRARIES ${libLASi_LINK_LIBRARIES} ${MATH_LIB})
+  list(APPEND libLASi_LINK_LIBRARIES ${MATH_LIB})
 endif(MATH_LIB)
 
-target_link_libraries(LASi ${libLASi_LINK_LIBRARIES} )
+target_link_libraries(LASi ${libLASi_LINK_LIBRARIES})
 
 if(USE_RPATH)
   set(LIB_INSTALL_RPATH)
@@ -45,6 +63,7 @@
   VERSION ${LASi_VERSION}
   INSTALL_RPATH "${LIB_INSTALL_RPATH}"
   INSTALL_NAME_DIR "${libdir}"
+  POSITION_INDEPENDENT_CODE ON
   )
 else(USE_RPATH)
   set_target_properties(
@@ -53,6 +72,7 @@
   SOVERSION ${LASi_SOVERSION}
   VERSION ${LASi_VERSION}
   INSTALL_NAME_DIR "${libdir}"
+  POSITION_INDEPENDENT_CODE ON
   )
 endif(USE_RPATH)

=== debian/changelog ===
lasi (1.1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062516

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 17:24:55 +0000

lasi (1.1.3-2) unstable; urgency=medium

  * QA Upload.
  * Do not force generation of .eps file to ease-off
    cross compilation
  * Disable lintian in salsa-ci
  * Improve autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Apr 2023 12:36:58 +0530

lasi (1.1.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.1.3 (Closes: #918774, #921139)
  * Change B-D and Depends on libfreetype6-dev to libfreetype-dev
  * Drop fix-freetype-ftbfs patch, merged upstream
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Bump d/watch version to 4
  * Do not install CMakeLists in examples. Makefiles.examples.in
    is still useful for autopkgtests (Closes: #752274)
  * Update autopkgtests to get debci green

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Apr 2023 10:41:07 +0530

lasi (1.1.0-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-11 (Closes: #984083)
  * Modernize packaging:
    + Drop compat file, rely on debhelper-compat and bump compat level to 13
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add "Rules-Requires-Root: no"
    + d/control: Change VCS-* URLs to salsa
    + Switch from archaic d/rules to modern debhelper based one
    + Remove B-D on cdbs
  * Update docs path
  * Add autopkgtests
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Mon, 02 May 2022 04:20:17 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,26 @@
 Source: lasi
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5.0.0), cmake, libpango1.0-dev,
- cdbs (>=0.4.51), libfreetype6-dev (>= 2.2), doxygen
-Standards-Version: 3.7.3
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               cmake,
+               libpango1.0-dev,
+               libfreetype-dev,
+               doxygen
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/lasi
+Vcs-Git: https://salsa.debian.org/debian/lasi.git
+Homepage: http://sourceforge.net/projects/lasi
+Rules-Requires-Root: no
+
+Package: liblasi0t64
+Provides: ${t64:Provides}
+Replaces: liblasi0
+Breaks: liblasi0 (<< ${source:Version})
+Architecture: any
 Section: libs
-Homepage: http://sourceforge.net/projects/lasi
-Vcs-Svn: https://lasi.svn.sourceforge.net/svnroot/lasi/trunk/debian/
-Vcs-Browser: http://lasi.svn.sourceforge.net/viewvc/lasi/trunk/debian/
-
-Package: liblasi0
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: creation of PostScript documents containing Unicode symbols
  LASi is a library that provides a C++ stream output interface (with
  operator <<) for creating PostScript documents that can contain
@@ -27,9 +35,12 @@
  part.
 
 Package: liblasi-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: liblasi0 (= ${binary:Version}), ${misc:Depends}, libpango1.0-dev, libfreetype6-dev
+Depends: liblasi0t64 (= ${binary:Version}),
+         ${misc:Depends},
+         libpango1.0-dev,
+         libfreetype-dev
 Description: development files and documentation for the LASi library
  LASi is a library that provides a C++ stream output interface (with
  operator <<) for creating PostScript documents that can contain

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=OFF \
				-DUSE_RPATH=OFF \
				-DCMAKE_BUILD_TYPE=Release \
				-DCMAKE_INSTALL_LIBDIR=/usr/lib

execute_before_dh_missing:
	rm -rf debian/tmp/usr/share/*/examples/
	rm -rf debian/tmp/usr/share/doc/*/

override_dh_installexamples:
	dh_installexamples
	find debian -name CMakeLists.txt -delete

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
  http://sf.net/lasi/libLASi-(.*)\.tar\.gz
